﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGEditEventCommandDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public EditModeEndedCommand MyCommand { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 1; i < 5; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Number1 = (i * 1000),
                    Number2 = r.Next(1000)
                });
            }

            MyCommand = new EditModeEndedCommand();
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public double Number1 { get; set; }
        public double Number2 { get; set; }
    }
}
